Open CASCADE Technology: Expr_LogOf10 Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Expr_LogOf10 Class Reference

`#include <Expr_LogOf10.hxx>`

Inheritance diagram for Expr_LogOf10:
[legend]

## Public Member Functions
| Expr_LogOf10 (const Handle< Expr_GeneralExpression > &exp)
| Creates the base 10 logarithm of <exp> More...
Handle< Expr_GeneralExpression > | ShallowSimplified () const
| Returns a GeneralExpression after a simplification of the arguments of <me>. More...
Handle< Expr_GeneralExpression > | Copy () const
| Returns a copy of <me> having the same unknowns and functions. More...
Standard_Boolean | IsIdentical (const Handle< Expr_GeneralExpression > &Other) const
| Tests if <me> and <Other> define the same expression. This method does not include any simplification before testing. More...
Standard_Boolean | IsLinear () const
| Tests if <me> is linear on every NamedUnknown it contains. More...
Handle< Expr_GeneralExpression > | Derivative (const Handle< Expr_NamedUnknown > &X) const
| Returns the derivative on <X> unknown of <me>. More...
Standard_Real | Evaluate (const Expr_Array1OfNamedUnknown &vars, const TColStd_Array1OfReal &vals) const
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. Raises NotEvaluable if <me> contains NamedUnknown not in <vars> or NumericError if result cannot be computed. More...
TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way. More...
Public Member Functions inherited from Expr_UnaryExpression
const Handle < Expr_GeneralExpression > & | Operand () const
| Returns the operand used. More...
void | SetOperand (const Handle< Expr_GeneralExpression > &exp)
| Sets the operand used Raises InvalidOperand if <exp> contains <me>. More...
Standard_Integer | NbSubExpressions () const
| Returns the number of sub-expressions contained in <me> ( >= 0) More...
const Handle < Expr_GeneralExpression > & | SubExpression (const Standard_Integer I) const
| Returns the -th sub-expression of <me>. Raises OutOfRange if > NbSubExpressions(me) More...
Standard_Boolean | ContainsUnknowns () const
| Does <me> contains NamedUnknown ? More...
Standard_Boolean | Contains (const Handle< Expr_GeneralExpression > &exp) const
| Tests if <exp> is contained in <me>. More...
void | Replace (const Handle< Expr_NamedUnknown > &var, const Handle< Expr_GeneralExpression > &with)
| Replaces all occurences of with <with> in <me> Raises InvalidOperand if <with> contains <me>. More...
Handle< Expr_GeneralExpression > | Simplified () const
| Returns a GeneralExpression after replacement of NamedUnknowns by an associated expression, and after values computation. More...
Public Member Functions inherited from Expr_GeneralExpression
virtual Standard_Boolean | IsShareable () const
| Tests if <me> can be shared by one or more expressions or must be copied. This method returns False as a default value. To be redefined ( especially for NamedUnknown). More...
virtual Handle < Expr_GeneralExpression > | NDerivative (const Handle< Expr_NamedUnknown > &X, const Standard_Integer N) const
| Returns the <N>-th derivative on <X> unknown of <me>. Raise OutOfRange if N <= 0. More...
Standard_Real | EvaluateNumeric () const
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. Raises NotEvaluable if <me> contains NamedUnknown not in <vars> or NumericError if result cannot be computed. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Expr_UnaryExpression
void | CreateOperand (const Handle< Expr_GeneralExpression > &exp)
| Sets the operand used during creation. More...

## Constructor & Destructor Documentation

Expr_LogOf10::Expr_LogOf10 | ( | const Handle< Expr_GeneralExpression > & | exp | ) |

Creates the base 10 logarithm of <exp>

## Member Function Documentation

Handle< Expr_GeneralExpression > Expr_LogOf10::Copy | ( |  | ) | const
| virtual

Returns a copy of <me> having the same unknowns and functions.

Implements Expr_GeneralExpression.

Handle< Expr_GeneralExpression > Expr_LogOf10::Derivative | ( | const Handle< Expr_NamedUnknown > & | X | ) | const
| virtual

Returns the derivative on <X> unknown of <me>.

Implements Expr_GeneralExpression.

Standard_Real Expr_LogOf10::Evaluate | ( | const Expr_Array1OfNamedUnknown & | vars,
|  | const TColStd_Array1OfReal & | vals
| ) |  | const
| virtual

Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. Raises NotEvaluable if <me> contains NamedUnknown not in <vars> or NumericError if result cannot be computed.

Implements Expr_GeneralExpression.

Standard_Boolean Expr_LogOf10::IsIdentical | ( | const Handle< Expr_GeneralExpression > & | Other | ) | const
| virtual

Tests if <me> and <Other> define the same expression. This method does not include any simplification before testing.

Implements Expr_GeneralExpression.

Standard_Boolean Expr_LogOf10::IsLinear | ( |  | ) | const
| virtual

Tests if <me> is linear on every NamedUnknown it contains.

Implements Expr_GeneralExpression.

Handle< Expr_GeneralExpression > Expr_LogOf10::ShallowSimplified | ( |  | ) | const
| virtual

Returns a GeneralExpression after a simplification of the arguments of <me>.

Implements Expr_GeneralExpression.

TCollection_AsciiString Expr_LogOf10::String | ( |  | ) | const
| virtual

returns a string representing <me> in a readable way.

Implements Expr_GeneralExpression.

The documentation for this class was generated from the following file:

- Expr_LogOf10.hxx